Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp
Class PortalRenderResponse

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.jboss.portal.portlet.portal.jsp.PortalResponse
                  org.jboss.portal.portlet.portal.jsp.PortalRenderResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class PortalRenderResponse

extends PortalResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`PortalRenderResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PagePortletControllerContext portletControllerContext, PortletPageNavigationalState pageNavigationalState, PortalPrepareResponse prepareResponse)`

Method Summary
`java.lang.String` | `getMaximizedWindowId()`
`PortletPageNavigationalState` | `getPageNavigationalState()` The page state for the rendering.
`PagePortletControllerContext` | `getPortletControllerContext()`
`java.util.Set<java.lang.String>` | `getWindowIds()`
`WindowResult` | `getWindowResult(java.lang.String windowId)`
`boolean` | `isMaximizedWindow(java.lang.String windowId)`

Methods inherited from class org.jboss.portal.portlet.portal.jsp.PortalResponse
`nextId`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

Constructor Detail

### PortalRenderResponse

    public PortalRenderResponse(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                PagePortletControllerContext portletControllerContext,
                                PortletPageNavigationalState pageNavigationalState,
                                PortalPrepareResponse prepareResponse)
                         throws PortletInvokerException

Throws:
  `PortletInvokerException`

Method Detail

### getPageNavigationalState

    public PortletPageNavigationalState getPageNavigationalState()

  The page state for the rendering.

  Returns:
    the page state

### getWindowIds

    public java.util.Set<java.lang.String> getWindowIds()

### getWindowResult

    public WindowResult getWindowResult(java.lang.String windowId)

### getPortletControllerContext

    public PagePortletControllerContext getPortletControllerContext()

### isMaximizedWindow

    public boolean isMaximizedWindow(java.lang.String windowId)

### getMaximizedWindowId

    public java.lang.String getMaximizedWindowId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.